package com.yunzhi.demo.controller;

import com.yunzhi.demo.common.BaseController;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.common.ResponseBean;
import com.yunzhi.demo.entity.TaPerson;
import com.yunzhi.demo.entity.TaPersonData;
import com.yunzhi.demo.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
    * 人员 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */

@Api(tags = "人员")
@RestController
@RequestMapping("/")
public class TaPersonController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaPersonController.class);

    @Autowired
    ITaPersonService iTaPersonService;

    @Autowired
    ITaPersonDataService iTaPersonDataService;

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/admin/person/{id}",method= RequestMethod.GET)
    @ApiOperation(value="查询用户详情", notes = "查询用户详情", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean taPersonDataGet(@ApiParam("用户ID") @PathVariable String id) throws Exception{
        TaPerson taPerson = iTaPersonService.getById(id);

        if (null == taPerson || Constants.STATUS_DELETED.equals(taPerson.getStatus())) {
            throw new Exception("未找到人员信息");
        }

        TaPersonData taPersonData = iTaPersonDataService.getById(id);
        taPerson.setPersonData(taPersonData);

        return ResponseBean.success(taPerson);
    }
}
