package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 就诊记录
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMedicalLog对象", description="就诊记录")
public class TaMedicalLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "学生ID")
    private String studentId;

    @ApiModelProperty(value = "就诊时间 YYYY-MM-DD格式")
    private String recordDate;

    @ApiModelProperty(value = "就诊报告")
    private String attchment;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    @ApiModelProperty(value = "姓名")
    @TableField(exist = false)
    private String name;

    @ApiModelProperty(value = "性别")
    @TableField(exist = false)
    private Integer sex;

    @ApiModelProperty(value = "学校ID")
    @TableField(exist = false)
    private String schoolId;

    @ApiModelProperty(value = "学校名称")
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty(value = "专业ID")
    @TableField(exist = false)
    private String specialtyId;

    @ApiModelProperty(value = "专业名称")
    @TableField(exist = false)
    private String specialtyName;

    @ApiModelProperty(value = "医生")
    @TableField(exist = false)
    private String doctorName;

    @ApiModelProperty(value = "学号")
    @TableField(exist = false)
    private String studentNo;

    @ApiModelProperty(value = "手机号")
    @TableField(exist = false)
    private String phone;
}
