package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员统计
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPersonData对象", description="人员统计")
public class TaPersonData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人员ID")
    @TableId(value = "person_id", type = IdType.INPUT)
    private String personId;

    @ApiModelProperty(value = "积分")
    private Integer pointNum;

    @ApiModelProperty(value = "学分")
    private String creditNum;

    @ApiModelProperty(value = "收藏文章")
    private Integer savedNum;

    @ApiModelProperty(value = "阅读文章")
    private Integer readedNum;

    @ApiModelProperty(value = "学习文章")
    private Integer studiedNum;
}
