package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.SysBanner;
import com.yunzhi.demo.entity.TaTopic;
import com.yunzhi.demo.mapper.SysBannerMapper;
import com.yunzhi.demo.service.ISysBannerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.demo.vo.SortParams;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 广告栏 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysBannerServiceImpl extends ServiceImpl<SysBannerMapper, SysBanner> implements ISysBannerService {

    @Autowired
    SysBannerMapper sysBannerMapper;

    @Override
    public List<SysBanner> getIndexList() {
        QueryWrapper<SysBanner> queryWrapper = new QueryWrapper<SysBanner>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByAsc("sort_no");
        return list(queryWrapper);
    }

    @Override
    public void reSort(SortParams sortParams) {
        if (sortParams.getFrom().equals(sortParams.getTo())) {
            return;
        }

        SysBanner from = getById(sortParams.getFrom());
        SysBanner to = getById(sortParams.getTo());

        Integer source = from.getSortNo();
        Integer target = to.getSortNo();

        if (source > target) {
            sysBannerMapper.bannerSortAdd(source, target);
        } else {
            sysBannerMapper.bannerSortSub(source, target);
        }

        UpdateWrapper<SysBanner> updateWrapper = new UpdateWrapper<SysBanner>()
                .set("sort_no", target)
                .eq("serial_no", sortParams.getFrom());
        update(updateWrapper);
    }
}
