package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.common.StringUtils;
import com.yunzhi.demo.entity.TaPost;
import com.yunzhi.demo.mapper.TaPostMapper;
import com.yunzhi.demo.service.ITaPostService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.demo.vo.StatisPost;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Locale;

/**
 * <p>
 * 文章表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaPostServiceImpl extends ServiceImpl<TaPostMapper, TaPost> implements ITaPostService {

    @Autowired
    TaPostMapper taPostMapper;

    @Override
    public IPage<TaPost> getIndexList(IPage<TaPost> page) {
        QueryWrapper<TaPost> queryWrapper = new QueryWrapper<TaPost>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByDesc("create_date");
        return page(page, queryWrapper);
    }

    @Override
    public IPage<StatisPost> getPostStatis(IPage<StatisPost> pg, String startDate, String endDate, String name, String typeId, String asc, String desc) {
        if (StringUtils.isEmpty(asc) && StringUtils.isEmpty(desc)) {
            desc = "pv";
        }
        return taPostMapper.getPostStatis(pg, startDate, endDate, name, typeId, getDBFieldBy(asc), getDBFieldBy(desc));
    }

    private String getDBFieldBy(String name) {
        if (StringUtils.isEmpty(name)) {
            return null;
        }

        switch (name.toLowerCase()) {
            case "uv":
                return "u_v";
            case "pv":
                return "p_v";
            default:
                return "saved_num";
        }
    }

}
