package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaTopic;
import com.yunzhi.demo.mapper.TaTopicMapper;
import com.yunzhi.demo.service.ITaTopicService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.demo.vo.SortParams;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 热门 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaTopicServiceImpl extends ServiceImpl<TaTopicMapper, TaTopic> implements ITaTopicService {
    @Autowired
    TaTopicMapper taTopicMapper;

    @Override
    public List<TaTopic> getIndexList() {
        QueryWrapper<TaTopic> queryWrapper = new QueryWrapper<TaTopic>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByAsc("sort_no");
        return list(queryWrapper);
    }

    @Override
    public void reSort(SortParams sortParams) {
        if (sortParams.getFrom().equals(sortParams.getTo())) {
            return;
        }

        TaTopic from = getById(sortParams.getFrom());
        TaTopic to = getById(sortParams.getTo());

        Integer source = from.getSortNo();
        Integer target = to.getSortNo();

        if (source > target) {
            taTopicMapper.topicSortAdd(source, target);
        } else {
            taTopicMapper.topicSortSub(source, target);
        }

        UpdateWrapper<TaTopic> updateWrapper = new UpdateWrapper<TaTopic>()
                .set("sort_no", target)
                .eq("serial_no", sortParams.getFrom());
        update(updateWrapper);
    }
}
